OCF_PACEMAKER_CONTRO(7)

NAME
ocf_pacemaker_controld - DLM Agent for cluster file systems

SYNOPSIS

[OCF_RESKEY_args=string] [OCF_RESKEY_daemon=string] [OCF_RESKEY_allow_stonith_disabled=string]

controld [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This Resource Agent can control the dlm_controld services needed by cluster-aware file systems. It assumes that dlm_controld is in your default PATH. In most cases, it should be run as an anonymous clone.

SUPPORTED PARAMETERS

OCF_RESKEY_args = string [-s 0]
    DLM Options

    Any additional options to start the dlm_controld service with

OCF_RESKEY_daemon = string [dlm_controld]
    The daemon to start

    The daemon to start - supports dlm_controld

OCF_RESKEY_allow_stonith_disabled = string [false]
    Allow start-up even without STONITH/fencing

    Allow DLM start-up even if STONITH/fencing is disabled in the cluster. Setting this option to true will cause cluster malfunction and hangs on fail-over for DLM clients that require fencing (such as GFS2, OCFS2, and cLVM2). This option is advanced use only.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.